1. fatsquirrel

    OP fatsquirrel GBAtemp Addict
    Member

    Joined:
    Nov 11, 2013
    Messages:
    2,594
    Country:
    So with upcoming Atmosphere release we were told to stay on or below 4.1.0 for possible software coldboot. But now with the release of AutoRCM, is there any point at all to stay on the low firmware?
    Id ask Sciresm or Kate but doubt they have the time or will to answer such questions :)
    To me it seems like we dont lose anything at all by updating.
    Am I wrong?
     
  2. Wezaa

    Wezaa GBAtemp Regular
    Member

    Joined:
    Apr 29, 2015
    Messages:
    164
    Country:
    Auto RCM just cuts out the need for a jig, you still have to deliver a payload via the USB-C port.
    So yeah, stay on low FW if you want a chance of cold boot (no payload via USB) anytime soon.
     
    Tumoche, phonz, The9thBit and 3 others like this.
  3. Bedel

    Bedel The key of the blade
    Member

    Joined:
    Oct 28, 2015
    Messages:
    1,359
    Country:
    United States
    AutoRCM is NOT cooldboot. If you want coolboot any time soon, wait in the lowest firmware you can.
     
    comput3rus3r, The9thBit and Girtana1 like this.
  4. fatsquirrel

    OP fatsquirrel GBAtemp Addict
    Member

    Joined:
    Nov 11, 2013
    Messages:
    2,594
    Country:
    I see. I was under the impression that once the payload is injected for the first time it eliminates the need for further injections.
    Sorry for that!
    I guess the wait continues :(
     
  5. erikas

    erikas GBAtemp Regular
    Member

    Joined:
    Mar 28, 2015
    Messages:
    288
    Country:
    is atmosphere nx gonna be coldboot? where can i find info on coldboot cfw?
     
  6. fatsquirrel

    OP fatsquirrel GBAtemp Addict
    Member

    Joined:
    Nov 11, 2013
    Messages:
    2,594
    Country:
    For firmwares 4.1.0 and lower coldboot is possible as far as Im informed. When we do not know
     
  7. There will never be coldboot above 1.0.0, the sortmods will still require user action. Persistent CFW will not happen without autorcm and a modchip soldered to the D+ and D- testpads on the PCB.

    As for staying on lower FW if you are on <--- 4.1.0 you get a non persistent softmod and lower FW will prob be more stable, but that is really it.

    If you are using autorm and have no problem with it, there is not much point.
     
    Centergaming likes this.
  8. CrossGamerHDX

    CrossGamerHDX GBAtemp Regular
    Member

    Joined:
    Sep 10, 2017
    Messages:
    165
    Country:
    United States
    all games require higher fw
    so yeah
    i upgraded my 3.0.0 last night to 5.2
     
    MachRc, Trappie and Centergaming like this.
  9. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08
    Member

    Joined:
    Mar 17, 2010
    Messages:
    20,741
    Country:
    Norway
    I think 4.1.0 isn't going to support coldboot, only lower firmwares are.
    I updated my Switch yesterday anyway, originally I stayed on 4.1.0 knowing CFW would come soon, but then it became known exactly how the exploit works, and now that pretty much everything released works on 5.x, I don't see much reason to stay on old firmware.
    I can deal with having to use RCM, I can always use OTG on my phone or buy one of the TX dongles. I was one of the original Gateway 3DS purchasers, back when you had to have one MicroSD for every game (and I only had a couple so I had to use my PC to switch out games a lot) and I managed just fine. This isn't any more of a hassle than that was.
     
    Last edited by The Real Jdbye, May 21, 2018
  10. fatsquirrel

    OP fatsquirrel GBAtemp Addict
    Member

    Joined:
    Nov 11, 2013
    Messages:
    2,594
    Country:
    What do you mean by user action? Something like early 3ds cfw entry via DS entrypoint?
     
  11. Jungle_Jon

    Jungle_Jon GBAtemp Regular
    Member

    Joined:
    Dec 26, 2015
    Messages:
    113
    Country:
    <= 4.1 ? or equal to or lower than 4.1.0 or just lower than 4.1.0 ?
     
  12. Yep, would basically be the same as the homebrew launcher on 3.0.0, go to a website follow some steps and then it would reboot into RCM.

    We will never have something easy such as Haxchi or anything similar.

    — Posts automatically merged - Please don't double post! —

    4.1.0 and lower.
     
    fatsquirrel likes this.
  13. fatsquirrel

    OP fatsquirrel GBAtemp Addict
    Member

    Joined:
    Nov 11, 2013
    Messages:
    2,594
    Country:
    You do realize how hard you are making it to stay on 4 1 0 right? :D
     
  14. I am staying on 4.1.0 until Deja Vu is released, if the Deja Vu method is more hassle than RCM i will update... A lot of things are tested more on lower FW so if you want greater compatibility and stability stay on 4.1.0
     
    fatsquirrel likes this.
  15. Jungle_Jon

    Jungle_Jon GBAtemp Regular
    Member

    Joined:
    Dec 26, 2015
    Messages:
    113
    Country:
    And by never you mean with currently found exploits ?
     
  16. Bedel

    Bedel The key of the blade
    Member

    Joined:
    Oct 28, 2015
    Messages:
    1,359
    Country:
    United States
    I remember someone at the scene (maybe SciresM) said it's gonna be coolboot up untill 4.1. People doesn't usually invent things you know.
     
    mmajunkie77 likes this.
  17. tri_fin

    tri_fin GBAtemp Regular
    Member

    Joined:
    Feb 7, 2016
    Messages:
    198
    Country:
    I thought I read this as well. Shame one can't be certain. I have read 'it does matter' and 'it doesn't matter' so often. Always from people who appear to know more than I do!

    Then someone will chip in, as in this thread, with some reason why it does matter that I don't understand only to be countered by someone saying that whilst it does matter what one gains means very little. So it doesn't matter. But it does.

    I just wait!

    The thing is we are waiting for a bus to come but we don't know what it will look like, what time it's coming, where its going or whether it has anything fun inside or not! haha. Or how you get on it or get it to stop. (this analogy just won't stop giving..)
     
    deanspeed, geek_76 and fatsquirrel like this.
  18. zeldaism, MachRc, sakiage and 5 others like this.
  19. Bedel

    Bedel The key of the blade
    Member

    Joined:
    Oct 28, 2015
    Messages:
    1,359
    Country:
    United States
    I think I remember it from SciresM, but I may be wrong. One way or other, stay in 4.1. Never listen to jjbredesen. He's well known here for missunderstanding things.
     
    Nyteshade714 likes this.
  20. Hayato213

    Hayato213 GBAtemp Guru
    Member

    Joined:
    Dec 26, 2015
    Messages:
    9,104
    Country:
    United States
    Depends on your firmware, If it is really low like 1.0.0 then I would just stay there, no point of updating.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - pointless, firmware, Staying